#include <QHBoxLayout>
#include "dialogredactorinstructors.h"

DialogRedactorInstructors::DialogRedactorInstructors(ConnectorToServer* connectorToServer,
                                                     bool adminMode, QWidget *parent) :
    QDialog(parent,
              Qt::WindowSystemMenuHint
            | Qt::WindowMaximizeButtonHint
            | Qt::WindowMinimizeButtonHint
            | Qt::WindowCloseButtonHint),
    editorInstructors(nullptr)
{
    editorInstructors = new EditorInstructors(connectorToServer, adminMode, this);
    connect(connectorToServer, &ConnectorToServer::signal_UpdateDB, editorInstructors, &EditorInstructors::slot_NeedUpdateUI);
    editorInstructors->activate();

    QHBoxLayout *layout = new QHBoxLayout(this);
    layout->addWidget(editorInstructors);
    this->setWindowTitle(tr("Editor of instructors"));
    this->setMinimumSize(1400, 700);
    //this->setWindowState(Qt::WindowMaximized);
    this->setModal(true);
}

DialogRedactorInstructors::~DialogRedactorInstructors()
{
    delete editorInstructors;
}

void DialogRedactorInstructors::closeEvent(QCloseEvent *event)
{
    editorInstructors->close();
}
